Pre order
POST /papi/v1/ramp/connect/sell/pre-order
Request Body
| Field | Type | Mandatory | Remarks |
|---|---|---|---|
| externalOrderId | string | Yes | The unique order id from the partner side. Supports only letters and numbers. |
| fiatCurrency | string | Yes | fiat currency |
| cryptoCurrency | string | Yes | crypto currency |
| amountType | int | Yes | Specify whether the requested amount is in fiat:1 or crypto:2 |
| requestedAmount | string | Yes | Requested amount. Fraction is 8 |
| payMethodCode | string | Yes | The payment method code is from payment method list API |
| payMethodSubCode | string | Yes | The payment method subcode is from payment method list API |
| network | string | Yes | crypto network |
| redirectUrl | string | No | The redirectUrl is for redirecting to your website if order is completed |
| failRedirectUrl | string | No | The redirectUrl is for redirecting to your website if order is failed |
| redirectDeepLink | string | No | The redirectDeepLink is for redirecting to your APP if order is completed |
| failRedirectDeepLink | string | No | The failRedirectDeepLink is for redirecting to your APP if order is failed |
| clientIp | string | No | The original client IP |
| clientType | string | No | The original client type: web/mobile |
| customization | object | No | Customization settings for the current order. Please refer to "Customization". |
Response Body
| Field | Type | Remarks |
|---|---|---|
| link | string | The landing page link of Binance Pay Onchain. For information on how to use it, please refer to "Landing page and redirection". |
| linkExpireTime | timestamp | The expiration time of link |
Example
Request Parameters:
{
"externalOrderId": "8746972922319",
"fiatCurrency": "EUR",
"cryptoCurrency": "USDT",
"amountType": 1,
"requestedAmount": "100",
"payMethodCode": "SELL_P2P",
"payMethodSubCode": "BANK",
"network": "ETH",
"redirectUrl": "https://test.examplepartner.com/sell/home",
"failRedirectUrl": "https://test.examplepartner.com/sell/order/failure",
"redirectDeepLink": "examplepartner://sell/home",
"failRedirectDeepLink": "examplepartner://sell/order/failure",
"clientIp": "154.55.51.218",
"customization": {
"LOCK_ORDER_ATTRIBUTES": [
2,
3
],
"SKIP_CASHIER": false,
"AUTO_REDIRECTION": true
}
}
Response:
{
"success": true,
"code": "000000",
"message": "success",
"data": {
"link": "https://app.binance.com/uni-qr/qccnt?amount=1300&baseCurrency=EUR&channel=P2P&cryptoCurrency=USDT&externalOrderId=946972925243314539&fiatCurrency=EUR&merchantCode=example-partner&paymentMethodCode=SELL_P2P&paymentmethod=BANK&sign=c267bcfe69d5e263u9ee6e5cdc374e3a958a1d00a06b9efcdf19e33dca3407e4&type=2&utm_campaign=connect_open_api&utm_source=test",
"linkExpireTime": 1742222312058
}
}